Subject: [netatalk-admins] Patch to netatalk-1.4b2+asun2.1.0 to compile on Solaris 2.6

From: Bob Atkins <[email-masked]>
Date: Wed, 14 Oct 1998 00:54:25 -0700 (PDT)

I owe the following to the netatalk community - Sorry I didn't post it
sooner. The patches at the end of this email will allow
netatalk-1.4b2+asun2.1.0 to compile on Solaris 2.6. These patches do
not fix any operational problems. I have not been able to get the
package to work properly myself under Solaris 2.6. I get the following
error when starting the package:

starting appletalk daemons:  atalkdnbp_rgstr: Connection timed out
Can't register media:Workstation@*
nbp_rgstr: Connection timed out
Can't register media:netatalk@*
 nbprgstr afpd.
---

afpd services do not show up in the Mac chooser however we can connect
tothe afpd service using IP.

The only 2 processes running are atalkd and afpd. We don't see the server
in the Mac Chooser however we were able to connect using IP.

I opened syslog up to debug mode and got the following noise from atalkd:

Oct  1 16:01:35 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:01:47 media last message repeated 6 times
Oct  1 16:01:49 media atalkd[1814]: config for no router
Oct  1 16:01:51 media atalkd[1814]: setsockopt incompatible w/ Solaris STREAMS module.
Oct  1 16:01:52 media atalkd[1814]: rtmp_packet router has become available
Oct  1 16:01:52 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:01:52 media last message repeated 1 time
Oct  1 16:01:55 media rdistd[1883]: media: startup for male
Oct  1 16:01:55 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:02:28 media last message repeated 16 times
Oct  1 16:02:29 media atalkd[1814]: config for no router
Oct  1 16:02:31 media atalkd[1814]: setsockopt incompatible w/ Solaris STREAMS module.
Oct  1 16:02:32 media atalkd[1814]: rtmp_packet router has become available
Oct  1 16:02:32 media atalkd[1814]: zip_getnetinfo for cnft0
Oct  1 16:03:08 media last message repeated 18 times
----

Here are the patch diffs:

--- Begin Included File (netatalk-1.4b2+asun2.1.0-sol26.patch) ---

--- README.SOLARIS
34c34
< c/o Wes Craig				+1-313-764-2278
---
> c/o Wes Craig				+1-734-764-2278
--- include/netatalk/endian.h
50a51
> #ifndef SOL26
52a54
> #endif
121a124
> #ifndef SOL26
123a127
> #endif
--- libatalk/compat/strcasecmp.c
22c22
< # if defined( ibm032 ) || ( defined( sun ) && defined( i386 ))
---
> # if defined( ibm032 ) || ( defined( sun ) && defined( i386 ) && !defined( SOL26 ))
--- sys/netatalk/endian.h
50a51
> #ifndef SOL26
52a54
> #endif
121a124
> #ifndef SOL26
123a127
> #endif
--- sys/solaris/Makefile
6,7c6,7
< KCFLAGS=	-D_KERNEL -Wall -Wstrict-prototypes \
< 		-mno-app-regs -munaligned-doubles -fpcc-struct-return
---
> KCFLAGS=	-D_KERNEL -Wall -Wstrict-prototypes -fpcc-struct-return
> #		-mno-app-regs -munaligned-doubles -fpcc-struct-return
15c15
< DEFS=	-D__svr4__ -DSOLARIS -I../../sys/solaris
---
> DEFS=	-D__svr4__ -DSOLARIS -DSOL26 -I../../sys/solaris

--- End Included File ---

Simply cut'n paste the above patches into a file and save it in the top
level of your netatalk-1.4b2+asun2.1.0 tree. Then run patch to apply the
patches. 

---
Bob Atkins